#!/usr/bin/env arch -i386 ruby
require 'rubygems'
require 'zlib'
require 'gosu'
require 'texplay'
require 'opengl'
require 'devil'

Dir.chdir(File.dirname(__FILE__))

require 'gosu-rgss/global.rb'
require 'gosu-rgss/table.rb'
require 'gosu-rgss/bitmap.rb'
require 'gosu-rgss/audio.rb'
require 'gosu-rgss/graphics.rb'
require 'gosu-rgss/input.rb'
require 'gosu-rgss/rmxp.rb'

script_path = File.join(*Settings['Scripts'].split('\\'))
$RGSS_SCRIPTS = load_data(script_path)
$RGSS_SCRIPTS.each do |s|
  eval(Zlib::Inflate.inflate(s[2]), nil, s[1])
end

$GameWindow.close
